org.apache.sysds.runtime.instructions.spark.functions

## Class ExtractGroup.ExtractGroupJoin

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.ExtractGroup
  - - org.apache.sysds.runtime.instructions.spark.functions.ExtractGroup.ExtractGroupJoin

- All Implemented Interfaces:
    Serializable, org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,scala.Tuple2<MatrixBlock,MatrixBlock>>,MatrixIndexes,WeightedCell>
  Enclosing class:
    ExtractGroup

      public static class ExtractGroup.ExtractGroupJoin
      extends ExtractGroup
      implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,scala.Tuple2<MatrixBlock,MatrixBlock>>,MatrixIndexes,WeightedCell>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.spark.functions.ExtractGroup

      `ExtractGroup.ExtractGroupBroadcast, ExtractGroup.ExtractGroupJoin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractGroupJoin(long blen, long ngroups, Operator op)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<scala.Tuple2<MatrixIndexes,WeightedCell>>` | `call(scala.Tuple2<MatrixIndexes,scala.Tuple2<MatrixBlock,MatrixBlock>> arg)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractGroupJoin

          public ExtractGroupJoin(long blen,
                                  long ngroups,
                                  Operator op)

  - ### Method Detail

    - #### call

          public Iterator<scala.Tuple2<MatrixIndexes,WeightedCell>> call(scala.Tuple2<MatrixIndexes,scala.Tuple2<MatrixBlock,MatrixBlock>> arg)
                                                                  throws Exception

      Specified by:
        `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,scala.Tuple2<MatrixBlock,MatrixBlock>>,MatrixIndexes,WeightedCell>`
      Throws:
        `Exception`

Copyright © 2020 The Apache Software Foundation. All rights reserved.